math.finc File Reference
This graph shows which files directly or indirectly include this file:

## Functions/Subroutines

integer(fgsl_int) function | fgsl_isnan (x)
integer(fgsl_int) function | fgsl_isinf (x)
integer(fgsl_int) function | fgsl_finite (x)
real(fgsl_double) function | fgsl_log1p (x)
real(fgsl_double) function | fgsl_expm1 (x)
real(fgsl_double) function | fgsl_acosh (x)
real(fgsl_double) function | fgsl_asinh (x)
real(fgsl_double) function | fgsl_atanh (x)
real(fgsl_double) function | fgsl_ldexp (x, e)
real(fgsl_double) function | fgsl_frexp (x, e)
integer(fgsl_int) function | fgsl_fcmp (x, y, eps)
type(fgsl_function) function | fgsl_function_init (func, params)
| Constructor for an FGSL function type. More...
type(fgsl_function_fdf) function | fgsl_function_fdf_init (f, df, fdf, params)
| Constructor for an FGSL function type including a derivative. More...
subroutine | fgsl_function_free (sfunc)
| Free resources associated with a FGSL function object. More...
subroutine | fgsl_function_fdf_free (sfunc)
| Free resources associated with a FGSL function with derivative object. More...
real(fgsl_double) function | fgsl_fn_eval (sfunc, x)
| Evaluate a function value for a FGSL function object. More...
real(fgsl_double) function | fgsl_fn_fdf_eval_f (sfunc, x)
| Evaluate a function value for a FGSL function with derivative object. More...
real(fgsl_double) function | fgsl_fn_fdf_eval_df (sfunc, x)
| Evaluate a derivative value for a FGSL function with derivative object. More...
subroutine | fgsl_fn_fdf_eval_f_df (sfunc, x, y, dy)
| Evaluate function as well as derivative value for a FGSL function with derivative object. More...

## Function/Subroutine Documentation

## fgsl_acosh()

real(fgsl_double) function fgsl_acosh | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_asinh()

real(fgsl_double) function fgsl_asinh | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_atanh()

real(fgsl_double) function fgsl_atanh | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_expm1()

real(fgsl_double) function fgsl_expm1 | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_fcmp()

integer(fgsl_int) function fgsl_fcmp | ( | real(fgsl_double), intent(in) | x,
|  | real(fgsl_double), intent(in) | y,
|  | real(fgsl_double), intent(in) | eps
| ) |  |

## fgsl_finite()

integer(fgsl_int) function fgsl_finite | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_fn_eval()

real(fgsl_double) function fgsl_fn_eval | ( | type(fgsl_function), intent(inout) | sfunc,
|  | real(fgsl_double), intent(in) | x
| ) |  |

Evaluate a function value for a FGSL function object.

Parameters

  sfunc | - function object.
  x | - argument value

Returns
  Function value

## fgsl_fn_fdf_eval_df()

real(fgsl_double) function fgsl_fn_fdf_eval_df | ( | type(fgsl_function_fdf), intent(inout) | sfunc,
|  | real(fgsl_double), intent(in) | x
| ) |  |

Evaluate a derivative value for a FGSL function with derivative object.

Parameters

  sfunc | - function with derivative object.
  x | - argument value

Returns
  Derivative value

## fgsl_fn_fdf_eval_f()

real(fgsl_double) function fgsl_fn_fdf_eval_f | ( | type(fgsl_function_fdf), intent(inout) | sfunc,
|  | real(fgsl_double), intent(in) | x
| ) |  |

Evaluate a function value for a FGSL function with derivative object.

Parameters

  sfunc | - function with derivative object.
  x | - argument value

Returns
  Function value

## fgsl_fn_fdf_eval_f_df()

subroutine fgsl_fn_fdf_eval_f_df | ( | type(fgsl_function_fdf), intent(inout) | sfunc,
|  | real(fgsl_double), intent(in) | x,
|  | real(fgsl_double), intent(out) | y,
|  | real(fgsl_double), intent(out) | dy
| ) |  |

Evaluate function as well as derivative value for a FGSL function with derivative object.

Parameters

  sfunc | - function with derivative object.
  x | - argument value
  y | - function value
  dy | - derivative value

## fgsl_frexp()

real(fgsl_double) function fgsl_frexp | ( | real(fgsl_double), intent(in) | x,
|  | integer(fgsl_int), intent(out) | e
| ) |  |

## fgsl_function_fdf_free()

subroutine fgsl_function_fdf_free | ( | type(fgsl_function_fdf), intent(inout) | sfunc | ) |

Free resources associated with a FGSL function with derivative object.

## fgsl_function_fdf_init()

type(fgsl_function_fdf) function fgsl_function_fdf_init | ( |  | f,
|  |  | df,
|  |  | fdf,
|  | type(c_ptr), intent(in) | params
| ) |  |

Constructor for an FGSL function type including a derivative.

Parameters

  f | - interface for a double precision valued function with a parameter of arbitrary type
  df | - interface for a function evaluating the derivative of f
  fdf | - interface for a subroutine evaluating f as well as its derivative given an argument and a parameter.
  params | - parameter of arbitrary type

Returns
  FGSL function with derivative object.

## fgsl_function_free()

subroutine fgsl_function_free | ( | type(fgsl_function), intent(inout) | sfunc | ) |

Free resources associated with a FGSL function object.

## fgsl_function_init()

type(fgsl_function) function fgsl_function_init | ( |  | func,
|  | type(c_ptr), intent(in) | params
| ) |  |

Constructor for an FGSL function type.

Parameters

  func | - interface for a double precision valued function with a parameter of arbitrary type
  params | - parameter of arbitrary type

Returns
  FGSL function object.

## fgsl_isinf()

integer(fgsl_int) function fgsl_isinf | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_isnan()

integer(fgsl_int) function fgsl_isnan | ( | real(fgsl_double), intent(in) | x | ) |

## fgsl_ldexp()

real(fgsl_double) function fgsl_ldexp | ( | real(fgsl_double), intent(in) | x,
|  | integer(fgsl_int), intent(in) | e
| ) |  |

## fgsl_log1p()

real(fgsl_double) function fgsl_log1p | ( | real(fgsl_double), intent(in) | x | ) |